<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">纸碗</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="纸碗"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search lay-filter="kind">
                    <option value="1">280克白卡纸</option>
                    <option value="2">280克牛皮纸</option>
                </select>
            </div>
            <p>
                尺寸(MM/厘米) <span style="font-size: 14px; color: red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item" id="ui_size">
                <select name="size" id="size" class="layui-form-select">
                    <option value="150*72*128">150*72*128</option>
                    <option value="165*64*145">165*64*145</option>
                    <option value="165*75*142">165*75*142</option>
                </select>
            </div>

            <div class="layui-form-item">
                <div class="layui-form-item layui-input-inline">
                    <p>
                        数量(个)
                    </p>
                    <div class="layui-form-item" style="width: 200px">
                        <select id="count_select" lay-filter="count_select" class="select">
                            <option value="1200">1200</option>
                            <option value="2400">2400</option>
                            <option value="3600">3600</option>
                            <option value="4800">4800</option>
                            <option value="6000">6000</option>
                            <option value="10000">10000</option>
                        </select>
                    </div>
                </div>
                <div class=" layui-input-inline">
                    <p>
                        自定义数量
                    </p>
                    <div class="layui-form-item" style="width: 500px">
                        <input type="text" name="count" id="count" value="1200" class="layui-input">
                    </div>
                </div>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                碗盖
            </p>
            <div class="layui-form-item" id="wangai">
                <select name="craft" class="select">
                    <option value="ops盖">ops盖</option>
                    <option value="pp盖">pp盖</option>
                    <option value="牛皮纸盖">牛皮纸盖</option>
                    <option value="白卡纸盖">白卡纸盖</option>
                </select>
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="金箔" title="金箔">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="铝箔" title="铝箔">
                </div>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;


        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        const carft_list1 = ["金箔", "铝箔"];

        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $(".ui_feb").show();
        $(".ui_feb select").attr("disabled", false);
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });
        form.on('select(kind)', function (data) {
            $("#z4_craft").hide();
            $("#z4_craft").find("input").prop("disabled", true)
            if (data.value == 1) {
                $("#z4_craft").show();
                $("#z4_craft").find("input").prop("disabled", false)
            }
        })
        form.on("select(count_select)", function (val) {
            $("#count").val(val.value);
        })
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            let count = $("#count").val();
            if (count < 10000 && data.elem.checked) {
                $(data.elem).prop("checked", false);
                layer.msg("工艺数量一万以上才能选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var kind = $("select[name='kind'] option:selected").text();
            var craft = [];
            let peijian = [];
            peijian.push($("#wangai select[name='craft'] option:selected").val());
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    craft.push($(this).val());
                }
            });
            if (count < 100) {
                layer.msg("数量100以上才能报价", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (count < 10000 && (craft.includes("金箔") || craft.includes("铝箔"))) {
                layer.msg("工艺数量一万以上才能选择", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '纸碗 - ' + kind + ' - ' + size + ' MM (同款内容)\n';
                    span_result += `工艺：` + craft.join(",") + '\n';
                    span_result += `盖子：` + peijian.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>